Package org.drinkless.tdlib

# Class TdApi.MessageSchedulingStateSendWhenOnline

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageSchedulingState
org.drinkless.tdlib.TdApi.MessageSchedulingStateSendWhenOnline

Enclosing class:
  `TdApi`

public static class TdApi.MessageSchedulingStateSendWhenOnline extends TdApi.MessageSchedulingState
The message will be sent when the other user is online. Applicable to private chats only and when the exact online status of the other user is known.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageSchedulingState

  `TdApi.MessageSchedulingState.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageSchedulingStateSendWhenOnline()`
  The message will be sent when the other user is online.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageSchedulingStateSendWhenOnline

    public MessageSchedulingStateSendWhenOnline()
    The message will be sent when the other user is online. Applicable to private chats only and when the exact online status of the other user is known.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageSchedulingState`
    Returns:
      this.CONSTRUCTOR